Package org.tmatesoft.svn.core.wc2.admin

# Class SvnRepositorySetUUID

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<Long>
org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation<Long>
org.tmatesoft.svn.core.wc2.admin.SvnRepositorySetUUID

All Implemented Interfaces:
  `ISvnOperationOptionsProvider`

public class SvnRepositorySetUUID extends SvnRepositoryOperation<Long>

## Constructor Summary

Constructors
Constructor
Description
`SvnRepositorySetUUID(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getUUID()`
`void`
`setUUID(String uuid)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation

`getRepositoryRoot, isChangesWorkingCopy, setRepositoryRoot`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnRepositorySetUUID

public SvnRepositorySetUUID(SvnOperationFactory factory)

## Method Details

### getUUID

public String getUUID()

### setUUID

public void setUUID(String uuid)